import request from '@/utils/request'

/**
 * 查询左上
 * @param params
 * @returns {AxiosPromise}
 */
export function getDifficultyLevel() {
  return request({
    url: '/blesson/getDifficultyLevel',
    method: 'get'
  })
}
/**
 * 查询右上
 * @param params
 * @returns {AxiosPromise}
 */
export function getClassPlan(flag) {
  return request({
    url: '/blesson/getClassPlan?flag=' + flag,
    method: 'get'
  })
}
/**
 * 查询左下
 * @param params
 * @returns {AxiosPromise}
 */
export function getTecClassify(flag) {
  return request({
    url: '/blesson/getTecClassify?flag=' + flag,
    method: 'get'
  })
}
/**
 * 查询右下
 * @param params
 * @returns {AxiosPromise}
 */
export function getJobClassify() {
  return request({
    url: '/blesson/getJobClassify',
    method: 'get'
  })
}
/**
 * 查询下列表
 * @param params
 * @returns {AxiosPromise}
 */
export function getCourseView(rows, page) {
  return request({
    url: '/blesson/getCourseView?rows=' + rows + '&page=' + page,
    method: 'get'
  })
}

// 查询侧拉列表
// 学习总人数
export function getTotalLearn(businessId, page, rows) {
  return request({
    url: '/blesson/getTotalLearn?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}

// 未开始学习人数
export function getNotStart(businessId, page, rows) {
  return request({
    url: '/blesson/getNotStart?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 学习中人数
export function getLearning(businessId, page, rows) {
  return request({
    url: '/blesson/getLearning?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 学习完成人数
export function getFinish(businessId, page, rows) {
  return request({
    url: '/blesson/getFinish?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 参与考核人数
export function getExamed(businessId, page, rows) {
  return request({
    url: '/blesson/getExamed?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}

// ===============================

/**
 * 查询email
 * @param params
 * @returns {AxiosPromise}
 */
export function queryEmail(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/log/verify/queryEmail',
    method: 'get',
    params
  })
}

/**
 * 查询email
 * @param params
 * @returns {AxiosPromise}
 */
// export function sendEmail(params) {
//   return request({
//     baseURL: process.env.VUE_APP_INTERNAL,
//     url: '/log/verify/sendEmail',
//     method: 'post',
//     data: params
//   })
// }
/**
 * 验证登录
 * @param params
 * @returns {AxiosPromise}
 */
// export function verUrl(params) {
//   return request({
//     baseURL: process.env.VUE_APP_INTERNAL,
//     url: '/log/verify/verUrl',
//     method: 'post',
//     data: params
//   })
// }

/**
 * 验证登录
 * @param params
 * @returns {AxiosPromise}
 */
// export function updatePassW(params) {
//   return request({
//     baseURL: process.env.VUE_APP_INTERNAL,
//     url: '/log/verify/updatePassW',
//     method: 'get',
//     params: params
//   })
// }
