import request from '@/utils/request'

/**
 * 查询左上
 * @param params
 * @returns {AxiosPromise}
 */
export function getEnterprisesView() {
  return request({
    url: '/sysunit/getEnterprisesView',
    method: 'get'
  })
}
/**
 * 查询右上
 * @param params
 * @returns {AxiosPromise}
 */
export function getCollegesView(flag) {
  return request({
    url: '/sysunit/getCollegesView',
    method: 'get'
  })
}
/**
 * 查询左下
 * @param params
 * @returns {AxiosPromise}
 */
export function getEnterprisesPeopleView(flag) {
  return request({
    url: '/sysunit/getEnterprisesPeopleView',
    method: 'get'
  })
}
/**
 * 查询右下
 * @param params
 * @returns {AxiosPromise}
 */
export function getCollegesPeopleView() {
    return request({
      url: '/sysunit/getCollegesPeopleView',
      method: 'get'
    })
}

/**
 * 查询右列表
 * @param params
 * @returns {AxiosPromise}
 */
export function getPayRank() {
    return request({
      url: '/sysunit/getPayRank',
      method: 'get'
    })
}


/**
 * 查询下列表
 * @param params
 * @returns {AxiosPromise}
 */
export function getUnitView(rows, page) {
    return request({
      url: '/sysunit/getUnitView?rows=' + rows + '&page=' + page,
      method: 'get'
    })
}


// 查询侧拉列表
// 学员人数
export function getStudentNumber(businessId, page, rows) {
  return request({
    url: '/sysunit/getStudentNumber?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}

// 付费课程数
export function getPayed(businessId, page, rows) {
  return request({
    url: '/sysunit/getPayed?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 试用课程
export function getLearning(businessId, page, rows) {
  return request({
    url: '/sysunit/getNoPayed?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 完成必修人数
export function getFinish(businessId, page, rows) {
  return request({
    url: '/sysunit/getFinish?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 未完成必修
export function getNotFinish(businessId, page, rows) {
  return request({
    url: '/sysunit/getNotFinish?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 考核详细
export function getExam(businessId, page, rows) {
  return request({
    url: '/sysunit/getExam?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}




// ===============================


/**
 * 查询email
 * @param params
 * @returns {AxiosPromise}
 */
export function queryEmail(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/log/verify/queryEmail',
    method: 'get',
    params
  })
}


/**
 * 查询email
 * @param params
 * @returns {AxiosPromise}
 */
// export function sendEmail(params) {
//   return request({
//     baseURL: process.env.VUE_APP_INTERNAL,
//     url: '/log/verify/sendEmail',
//     method: 'post',
//     data: params
//   })
// }
/**
 * 验证登录
 * @param params
 * @returns {AxiosPromise}
 */
// export function verUrl(params) {
//   return request({
//     baseURL: process.env.VUE_APP_INTERNAL,
//     url: '/log/verify/verUrl',
//     method: 'post',
//     data: params
//   })
// }

/**
 * 验证登录
 * @param params
 * @returns {AxiosPromise}
 */
// export function updatePassW(params) {
//   return request({
//     baseURL: process.env.VUE_APP_INTERNAL,
//     url: '/log/verify/updatePassW',
//     method: 'get',
//     params: params
//   })
// }
