import request from '@/utils/request'

/**
 * 查询列表
 * @param params
 * @returns {AxiosPromise}
 */
export function getUserView(name,rows, page) {
    return request({
      url: '/pc/sysuser/getUserView?rows=' + rows + '&page=' + page + '&name=' + name,
      method: 'get'
    })
}


// 查询侧拉列表
// 计划课程总数
export function getTotal(businessId, page, rows) {
  return request({
    url: '/pc/sysuser/getTotal?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}

// 用户视图-学习中课程，已学完课程，未开始课程查询接口
export function getLearnType(query) {
  return request({
    url: '/pc/sysuser/getLearnType',
    method: 'get',
    params: query
  })
}
// 用户视图-参与考核课程数，未考核课程数查询接口
export function getExamType(query) {
  return request({
    url: '/pc/sysuser/getExamType',
    method: 'get',
    params: query
  })
}
// 学习中课程数
export function getLearning(businessId, page, rows) {
  return request({
    url: '/pc/sysuser/getLearning?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 已学完课程数
export function getFinish(businessId, page, rows) {
  return request({
    url: '/pc/sysuser/getFinish?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 未开始课程数
export function getNotStart(businessId, page, rows) {
  return request({
    url: '/pc/sysuser/getNotStart?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 参与考核课程数
export function getExamedNumber(businessId, page, rows) {
  return request({
    url: '/pc/sysuser/getExamedNumber?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}
// 未考核课程数
export function getNotExamedNumber(businessId, page, rows) {
  return request({
    url: '/pc/sysuser/getNotExamedNumber?businessId=' + businessId + '&page=' + page + '&rows=' + rows,
    method: 'get'
  })
}




// ===============================

